#
# spec file for package gtksourceview (Version 1.5.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip info insserv intltool iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc libgcrypt libglade2 libglade2-devel libgnomeprint libgnomeprint-devel libgpg-error libjpeg libnscd libpng libpng-devel libstdc++ libtiff libtool libxcrypt libxml2 libxml2-devel libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gtksourceview
BuildRequires:  gnome-common gtkdoc intltool libglade2-devel libgnomeprint-devel perl-XML-Parser sgml-skel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        1.5.6
Release:        18.2
Summary:        GTK+ 2.0 Source Editing Widget
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gtksourceview/1.5/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem

%description
GtkSourceView is a text widget that extends the standard GTK+ 2.x text
widget, GtkTextView.

GtkSourceView improves GtkTextView by implementing syntax highlighting
and other features typical of a source editor.



Authors:
--------
    Gustavo Girldez <gustavo.giraldez@gmx.net>
    Paolo Maggi <paolo.maggi@polito.it>
    Jeroen Zwartepoorte  <jeroen@xs4all.nl>
    Mikael Hermansson  <mikeh@bahnhof.se>
    Chris Phelps  <chicane@reninet.com>

%debug_package
%package devel
Summary:        GTK+ 2.0 Source Editing Widget
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       gtksourceview = %{version}
Requires:       libxml2-devel gtk2-devel libgnomeprint-devel

%description devel
GtkSourceView is a text widget that extends GtkTextView, the standard
GTK+ 2.x text widget.

It improves GtkTextView by implementing syntax highlighting and other
features typical of a source editor.



Authors:
--------
    Gustavo Girldez <gustavo.giraldez@gmx.net>
    Paolo Maggi <paolo.maggi@polito.it>
    Jeroen Zwartepoorte  <jeroen@xs4all.nl>
    Mikael Hermansson  <mikeh@bahnhof.se>
    Chris Phelps  <chicane@reninet.com>

%package doc
Summary:        Additional Package Documentation.
Group:          System/GUI/GNOME
Autoreqprov:    on
                                                                                                                             

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    Gustavo Girldez <gustavo.giraldez@gmx.net>
    Paolo Maggi <paolo.maggi@polito.it>
    Jeroen Zwartepoorte  <jeroen@xs4all.nl>
    Mikael Hermansson  <mikeh@bahnhof.se>
    Chris Phelps  <chicane@reninet.com>

%prep
%setup

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
#rm aclocal.m4
autoreconf --install --force
CFLAGS="$RPM_OPT_FLAGS -L%_libdir -g" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib \
    --enable-gtk-doc
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %{name}-1.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO
%{prefix}/%_lib/*.so.*
%{prefix}/share/gtksourceview-1.0

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/*

%changelog -n gtksourceview
* Mon Feb 06 2006 - aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 1.5.6.
* Wed Nov 30 2005 - wberrier@suse.de
- Update to 1.5.1
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 1.4.2
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 1.4.1.
* Mon Sep 05 2005 - sbrabec@suse.cz
- Updated to version 1.4.0.
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 1.3.92
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 1.3.91
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 1.2.1
* Tue Apr 26 2005 - ke@suse.de
- The -devel subpackage requires libxml2-devel, gtk2-devel, and
  libgnomeprint-devel; reported by Ben Maurer [#80398].
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 1.2.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 1.1.93
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 1.1.92
* Wed Jan 26 2005 - clahey@suse.de
- Updated to version 1.1.91.
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 1.1.90.
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 1.0.1 (GNOME 2,6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 0.7.0.
* Fri Oct 10 2003 - sbrabec@suse.cz
- Fixed docdir ownership.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Added new SuSE package, version 0.6.0 (GNOME 2.4).
